<!DOCTYPE html>
<html>
<head>
    <title>JSON DEMO</title>
    <style>
        th, td, p, input, h3 {
            font:15px 'Segoe UI';
        }
        table, th, td {
            border: solid 1px #ddd;
            border-collapse: collapse;
            padding: 10px 10px;
            text-align: center;
            margin-left: 200px;
            margin-top: 60px;
            background-color: palegoldenrod;
            box-shadow: 10px 10px 10px 10px lightblue;
        }
        th {
            font-weight:bold;
        }
        #samp{
            background-color: rebeccapurple;
            color: white;
            border-radius: 12px;
            margin-left: 60px;
        }
        h3{
            margin-left: 60px;

        }
    </style>
</head>
<body>
    <h3>
        JSON Demo.
    </h3>
    <input type='button' id="samp" onclick='tableFromJson()' 
        value='Click me to get JSON data' />
        
    <p id='showData'></p>
    
</body>

<script>
    

    function tableFromJson() {
        var myBooks = [
            {'ID': '1', 'Category': 'Front-end',
                'Option': 'Javascript', 'Time-Period': '10hrs'
            },
            {'ID': '2', 'Category': 'Back-end',
                'Option': 'NodeJs', 'Time-Period': '15hrs'
            },
            {'ID': '3', 'Category': 'Database',
                'Option': 'MsSQL', 'Time-Period': '6hrs'
            }
        ]

          var col = [];
        for (var i = 0; i < myBooks.length; i++) {
            for (var key in myBooks[i]) {
                if (col.indexOf(key) === -1) {
                    col.push(key);
                }
            }
        }

        var table = document.createElement("table");

        var tr = table.insertRow(-1);                  

        for (var i = 0; i < col.length; i++) {
            var th = document.createElement("th");    
            th.innerHTML = col[i];
            tr.appendChild(th);
        }

        for (var i = 0; i < myBooks.length; i++) {

            tr = table.insertRow(-1);

            for (var j = 0; j < col.length; j++) {
                var tabCell = tr.insertCell(-1);
                tabCell.innerHTML = myBooks[i][col[j]];
            }
        }
        
        var divShowData = document.getElementById('showData');
        divShowData.innerHTML = "";
        divShowData.appendChild(table);
        
    }
    </script>

